List services
curl --request GET \
--url https://api.myproceeds.xyz/v1/services \
--header 'X-Api-Key: <api-key>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"baseUrl": "<string>",
"authConfig": {
"bearerToken": "***"
},
"networks": [
"base-sepolia"
],
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"Paywall": [
{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"targetUrl": "<string>",
"routePattern": "<string>",
"price": "<string>",
"currency": "USDC",
"network": "base-sepolia",
"networks": [
"base-sepolia"
],
"merchantWallet": "<string>",
"facilitatorUrl": "<string>",
"timeout": 123,
"validityWindow": 123,
"allowedMethods": [],
"enabled": true,
"headers": [
{
"key": "<string>",
"value": "***"
}
],
"queryParams": [
{
"key": "<string>",
"value": "<string>"
}
],
"serviceId": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
],
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"total": 123,
"limit": 123,
"offset": 123,
"hasMore": true
}
}
}Services
List services
List the tenant’s services with their paywalls. authConfig
values are masked ("***") — only the field names are returned.
GET
/
v1
/
services
List services
curl --request GET \
--url https://api.myproceeds.xyz/v1/services \
--header 'X-Api-Key: <api-key>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"baseUrl": "<string>",
"authConfig": {
"bearerToken": "***"
},
"networks": [
"base-sepolia"
],
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"Paywall": [
{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"targetUrl": "<string>",
"routePattern": "<string>",
"price": "<string>",
"currency": "USDC",
"network": "base-sepolia",
"networks": [
"base-sepolia"
],
"merchantWallet": "<string>",
"facilitatorUrl": "<string>",
"timeout": 123,
"validityWindow": 123,
"allowedMethods": [],
"enabled": true,
"headers": [
{
"key": "<string>",
"value": "***"
}
],
"queryParams": [
{
"key": "<string>",
"value": "<string>"
}
],
"serviceId": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
],
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"total": 123,
"limit": 123,
"offset": 123,
"hasMore": true
}
}
}Authorizations
API key in format mpk_<64 hex chars>. Can alternatively be sent as
Authorization: Bearer mpk_....
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0⌘I

